#include "main_utils.h"
#include <algorithm>

string RandomStr(int size) {
  string str;
  str.reserve(size);
  while (str.size() < size) str += char('A' + random()%26);
  return str;
}

void RevString(string* s);

int main() {
  int test = 0;
  vector<string> test_cases = {"Hello", "This is even", "1", ""};
  test_cases.push_back(RandomStr(1000000));
  for (string s : test_cases) {
    cout << "Test #" << test++ << " (string of size " << s.size() << ")...";
    string t = s;
    std::reverse(t.begin(), t.end());
    RevString(&s);
    cout << (s == t ? " PASSED!" : " FAILED!") << endl;
  }
}
